[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: portability of 'printf' command

From: Bob Friesenhahn
Subject: Re: portability of 'printf' command
Date: Wed, 7 Apr 2010 13:27:21 -0500 (CDT)
User-agent: Alpine 2.01 (GSO 1266 2009-07-14)

On Wed, 7 Apr 2010, Karl Berry wrote:

In any event, I suspect that anyone using such an ancient system *and*
installing a brand-new version of package foo that uses printf in its
autoconfery would also have installed coreutils (or at least sh-utils),
and therefore will have printf after all.

Is it possible that coreutils/sh-utils configure scripts would then depend on a working 'printf' capability so that it is not possible to install them? The only workaround would be to try to bootstrap using an older version which still does not require 'printf'.

The versions of SunOS which were implied to be too old to support were versions prior to Solaris 8 (SunOS 5.8), rather than SunOS 4.

Bob Friesenhahn
address@hidden, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/

reply via email to

[Prev in Thread] Current Thread [Next in Thread]